> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market Timeseries Metrics

> Get the catalog of available timeseries datasets and granularities for markets. Use this to discover valid `datasetSlug` and `granularity` values for the market timeseries endpoints.

<Note>
  **x402 Support:** Supported.
  See the [x402 guide](/api-reference/x402-payments#supported-endpoints).
</Note>


## OpenAPI

````yaml GET /metrics/v1/markets/metrics
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v1/markets/metrics:
    get:
      tags:
        - metrics/markets
      summary: Get timeseries metrics catalog
      description: >-
        Get the catalog of available timeseries datasets and granularities for
        markets. Use this to discover valid `datasetSlug` and `granularity`
        values for the market timeseries endpoints.
      operationId: getMarketsTimeseriesCatalog
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/TimeseriesCatalog'
                  error:
                    type: string
                required:
                  - data
                type: object
                example:
                  error: null
                  data:
                    datasets:
                      - slug: price
                        granularities:
                          - 1d
                          - 1h
                        metrics:
                          - name: Timestamp
                            slug: time
                            description: Timestamp of the data point.
                            is_timestamp: true
                          - name: Open Price
                            slug: open-price
                            description: USD price at the candle open.
                            is_timestamp: false
                          - name: High Price
                            slug: high-price
                            description: High USD price during the candle.
                            is_timestamp: false
                          - name: Low Price
                            slug: low-price
                            description: Low USD price during the candle.
                            is_timestamp: false
                          - name: Close Price
                            slug: close-price
                            description: USD price at the candle close.
                            is_timestamp: false
                      - slug: volume
                        granularities:
                          - 1d
                          - 1h
                        metrics:
                          - name: Timestamp
                            slug: time
                            description: Timestamp of the data point.
                            is_timestamp: true
                          - name: Volume
                            slug: volume
                            description: Volume traded during candle.
                            is_timestamp: false
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    TimeseriesCatalog:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/TimeseriesDataset'
          type: array
      required:
        - datasets
      type: object
    TimeseriesDataset:
      type: object
      description: Schema for TimeseriesDataset
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````